<!--#include file="Admin_IsLogin.asp" -->
<!--#include file="conn.asp"-->
   <SCRIPT language=javascript>
function CheckAll(form)
{
  for (var i=0;i<form.elements.length;i++)
    {
    var e = form.elements[i];
    if (e.Name != "chkAll")
       e.checked = form.chkAll.checked;
    }
}
function Checked()
{
	var j = 0
	for(i=0;i < document.form.elements.length;i++){
		if(document.form.elements[i].name == "adid"){
			if(document.form.elements[i].checked){
				j++;
			}
		}
	}
	return j;
}

</SCRIPT>
<link href="../Css/Css.css" rel="stylesheet" type="text/css" />
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
  <td align="left"><table width="100%" height="50" border="0" cellpadding="0" cellspacing="0">
       <tr>
         <td align="center"><table width="100%" border="0" cellspacing="0" cellpadding="0">
           <tr>
             <td>&nbsp;</td>
           </tr>
         </table>
           <table width="960" border="0" cellspacing="0" cellpadding="0">
           <tr>
             <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
               <tr>
                 <td align="center"><form id="form" name="form" method="post" action="news_sh.asp">
                   按栏目
                        <%
Sub wxclassiddy(C_ID, CoinStr)
A=A&"&nbsp;&nbsp;"&CoinStr
  If C_ID<>0 Then
    Set rsx=Conn.Execute("Select * from xwclass Where topid="&C_ID&" Order by xh,ID desc")
    Do While Not rsx.Eof
%>
<%      
      Call wxclassiddy(rsx("ID"), A)
    rsx.Movenext
    Loop
    rsx.Close
    Set rsx=Nothing
  End If
End Sub

Sub wxclassiddy1(C_ID, CoinStr)
A=A&"&nbsp;&nbsp;"&CoinStr
  If C_ID<>0 Then
    Set rsx=Conn.Execute("Select * from xwclass Where topid="&C_ID&" and id<>"&id&" Order by xh,ID desc")
    Do While Not rsx.Eof
      Response.Write("<option value="""&rsx("ID")&"""")
      If rs("topid")=int(rsx("ID")) Then Response.Write(" selected=""selected"" ")
      Response.Write(">"&A&""&rsx("classname")&"</option>"&vbcrlf)
      Call wxclassiddy1(rsx("ID"), A)
    rsx.Movenext
    Loop
    rsx.Close
    Set rsx=Nothing
  End If
End Sub

Sub wxclassiddy2(C_ID, CoinStr)
A=A&"&nbsp;&nbsp;"&CoinStr
  If C_ID<>0 Then
    Set rsx=Conn.Execute("Select * from xwclass Where topid="&C_ID&"  Order by xh,ID desc")
    Do While Not rsx.Eof
      Response.Write("<option value="""&rsx("ID")&""">"&A&rsx("classname")&"</option>"&vbcrlf)
      Call wxclassiddy2(rsx("ID"), A)
    rsx.Movenext
    Loop
    rsx.Close
    Set rsx=Nothing
  End If
End Sub
%>
<script type="text/javascript" src="jquery-1.4.2.js"></script>
<script type="text/javascript">
$(function(){
$("#bs tr").hover(function(){
$(this).addClass("bs");
},function(){
$(this).removeClass();
});
});
</script>

<%
action=request.querystring("action")
if action="" then action="show"

if action="show" then
set rs=conn.execute("select * from xwclass where topid=0 order by xh, id desc")
%>
<select  name="gjz_sous" id="gjz_sous">
  <option value="0">--请选择栏目--</option>
  <%
 do while not rs.eof
 response.write "<option value='"&rs("id")&"'> |-"&rs("classname")&"</option>" 
     Call wxclassiddy2(Rs("ID"),"|-")
 rs.movenext
 loop
 rs.close
 set rs=nothing
 end if
 %>
</select>
<input type="submit" name="Submit" value="搜索" />
                 <input name="pd" type="hidden" id="pd" value="栏目" />
                 </form></td>
               </tr>
             </table></td>
             <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
               <tr>
                 <td align="center"><form id="form" name="form" method="post" action="news_sh.asp">
                   按标题
                       <label>
                       <input name="gjz_sous" type="text" id="gjz_sous" />
                       </label>            
                       <input name="pd" type="hidden" id="pd" value="标题" />
                       <input type="submit" name="Submit3" value="搜索" />
                 </form></td>
               </tr>
             </table></td>
            </tr>
         </table></td>
       </tr>
     </table>

	 <%
	 gjz_sous=request("gjz_sous")
	 if gjz_sous=""then%>
     <TABLE width=98% height=112 border=0>
       <TBODY>
         <TR>
           <TD height=25 colSpan=2 align=left>&nbsp;</TD>
         </TR>
         <TR vAlign=center>
           <TD colspan="2" valign="top" bgcolor="#FFFFFF" class=alltable>
		   <form id="form1" name="form1" method="post" action="del_kscj_sh.asp"> 
		   <table width="98%" align="center" cellpadding="1" cellspacing="1" bgcolor="#FFFFFF" class=TEXTAREA style="border: #268dd2 1px solid;table-layout: fixed;">
        <tr bgcolor="#c5d2f4"> 
<td width="57%" height="25" align="left" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><div align="center"><strong>标 题</strong></div></td>
<td width="13%" align="center" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><strong>栏 目</strong></td>
<td width="6%" align="center" class="tableHeaderText" style1="STYLE1"><div align="center"><strong>修 改</strong></div></td>
<td width="6%" height="25" align="center" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><div align="center"><strong>审 核</strong></div></td>

<td width="11%" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><input id=chkAll 
                  onClick=CheckAll(this.form) type=checkbox 
                  value=checkbox name=chkAll>  全选  
 
    <label>
      <input type="submit" name="Submit2" value="删 除" />
      </label></td>
        </tr>
          <% 

HZ_tp="select * from news_db where sh='0' order by id desc" 
set rs=server.createobject("adodb.recordset") 
rs.open HZ_tp,conn,1,3 
if rs.bof and rs.eof then 
response.write"暂时没有需审核信息!"
response.end
end if  
%>
                        <%
'分页代码--
if not isempty(request("page")) then   
pagecount=cint(request("page"))   
else   
pagecount=1
end if
rs.pagesize=20
rs.AbsolutePage=pagecount
'--分页代码
%>
                        <%a=1 
do while not rs.eof
id=rs("id")
%>
        <tr> 
          <td height="25" align="left" bgcolor="#e6eeef"><a href="../newsview.asp?id=<%=rs("id")%>" target="_blank" title="<%=rs("title")%>">·<%=rs("title")%></a></td>
          <%
		  sql2 = "SELECT * from news_db where id="&id&" and sh='0' order by id desc" 
Set rs2 = Server.CreateObject("ADODB.Recordset")
rs2.OPEN sql2,Conn,1,1
classid=rs2("classid")
sql2 = "SELECT * from xwclass where id="&classid&" order by id desc" 
Set rs2 = Server.CreateObject("ADODB.Recordset")
rs2.OPEN sql2,Conn,1,1
langmumc=rs2("classname")
lmid=rs2("id")
%>
          <td align="center" bgcolor="#e6eeef"><%=langmumc%></td>
          <td align="center" bgcolor="#e6eeef"><a href="kscj_xg.asp?id=<%=rs("id")%>">修改</a></td>
          <td height="22" align="center" bgcolor="#e6eeef">
          <a href="kscj_sh.asp?id=<%=rs("id")%>">审核</a></td>
          <td bgcolor="#e6eeef"><input type="checkbox" name="adid" value="<%=rs("id")%>" onClick=Checked(form)></td>
        </tr>
			 <% '分页代码--
i=i+1                                                                     
if i>=rs.pagesize then exit do 
'--分页代码
%>
                        <%if a mod 20=0 then 
response.Write"<tr></tr>" 
end if 
rs.movenext 
a=a+1 
loop 
%>
 <% 

HZ_tp="select * from news_db where sh='0' order by id desc" 
set rs=server.createobject("adodb.recordset") 
rs.open HZ_tp,conn,1,3 
%>
</table>
</form>
<table width="99%" border="0" cellpadding="0" cellspacing="0" borderColorLight=#808080 borderColorDark=#ffffff>
   <tr>
     <%if rs.pagecount > 0 then%>
     <td align="right">当前页<%=pagecount%>/<%=rs.PageCount%> 　 <a href="?page=1">首页</a>| 
	 <% if pagecount=1 and rs.pagecount<>pagecount and rs.pagecount<>0 then%>
                  <a href="?page=<%=cstr(pagecount+1)%>">下一页</a>| 
                  <% end if %>
                  <% if rs.pagecount>1 and rs.pagecount=pagecount then %>
                  <a href="?page=<%=cstr(pagecount-1)%>">上一页</a>| 
                  <%end if%>
                  <% if pagecount<>1 and rs.pagecount<>pagecount then%>
                  <a href="?page=<%=cstr(pagecount-1)%>">上一页| 
				  </a><a href="?page=<%=cstr(pagecount+1)%>"> 下一页</a>| 
                  <% end if %>

       <a href="?page=<%=rs.PageCount%>">尾页</a>|转到第
       <select name="sel_page" onChange="javascript:location=this.options[this.selectedIndex].value;">
         <%
       for i = 1 to rs.PageCount
       if i = pagecount then%>
         <option value="?page=<%=i%>" selected><%=i%></option>
         <%else%>
         <option value="?page=<%=i%>"><%=i%></option>
         <%
          end if
        next
        %>
         </select>
       页</font>    </td>
     <%else%>
    <%end if%>
    </tr>
   </table>
 <%end if
 set rs=nothing%>
 
 
 
 <%
	 gjz_sous=request("gjz_sous")
	 pd=request("pd")
	 if pd="栏目" then%>
     <TABLE width=98% height=112 border=0>
       <TBODY>
         <TR>
           <TD height=25 colSpan=2 align=left>&nbsp;</TD>
         </TR>
         <TR vAlign=center>
           <TD colspan="2" valign="top" bgcolor="#FFFFFF" class=alltable>
		   <form id="form1" name="form1" method="post" action="del_kscj_sh.asp"> 
		   <table width="98%" align="center" cellpadding="1" cellspacing="1" bgcolor="#FFFFFF" class=TEXTAREA style="border: #268dd2 1px solid;table-layout: fixed;">
        <tr bgcolor="#c5d2f4"> 
<td width="57%" height="25" align="center" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><div align="center"><strong>标 题</strong></div></td>
<td width="13%" align="center" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><strong>栏 目</strong></td>
<td width="6%" align="center" class="tableHeaderText" style1="STYLE1"><div align="center"><strong>修 改</strong></div></td>
<td width="6%" height="25" align="center" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><div align="center"><strong>审 核</strong></div></td>

<td width="11%" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><input id=chkAll 
                  onClick=CheckAll(this.form) type=checkbox 
                  value=checkbox name=chkAll>  全选  
 
    <label>
      <input type="submit" name="Submit2" value="删 除" />
      </label></td>
        </tr>
          <% 

HZ_tp="select * from news_db where classid="&gjz_sous&" and sh='0' order by id desc" 
set rs=server.createobject("adodb.recordset") 
rs.open HZ_tp,conn,1,3 
classid=rs("classid")
sql2 = "SELECT * from xwclass where id="&classid&" order by id desc" 
Set rs2 = Server.CreateObject("ADODB.Recordset")
rs2.OPEN sql2,Conn,1,1
langmumc=rs2("classname")
lmid=rs2("id")
if rs.bof and rs.eof then 
response.write"暂时没有需审核信息!"
response.end
end if  
%>
                        <%
'分页代码--
if not isempty(request("page")) then   
pagecount=cint(request("page"))   
else   
pagecount=1
end if
rs.pagesize=20
rs.AbsolutePage=pagecount
'--分页代码
%>
                        <%a=1 
do while not rs.eof

%>
        <tr> 
          <td height="25" align="left" bgcolor="#e6eeef"><a href="../newsview.asp?id=<%=rs("id")%>" target="_blank" title="<%=rs("title")%>">&middot;<%=rs("title")%></a></td>
          <td align="center" bgcolor="#e6eeef"><%=langmumc%></td>
          <td align="center" bgcolor="#e6eeef"><a href="kscj_xg.asp?id=<%=rs("id")%>">修改</a></td>
          <td height="22" align="center" bgcolor="#e6eeef"><a href="kscj_sh.asp?id=<%=rs("id")%>">审核</a></td>
          <td bgcolor="#e6eeef"><input type="checkbox" name="adid" value="<%=rs("id")%>" onClick=Checked(form)></td>
        </tr>
			 <% '分页代码--
i=i+1                                                                     
if i>=rs.pagesize then exit do 
'--分页代码
%>
                        <%if a mod 20=0 then 
response.Write"<tr></tr>" 
end if 
rs.movenext 
a=a+1 
loop 
%>
 <% 
HZ_tp="select * from news_db where sh='0' order by id desc" 
set rs=server.createobject("adodb.recordset") 
rs.open HZ_tp,conn,1,3 
%>
</table>
</form>
<table width="99%" border="0" cellpadding="0" cellspacing="0" borderColorLight=#808080 borderColorDark=#ffffff>
   <tr>
     <%if rs.pagecount > 0 then%>
     <td align="right">当前页<%=pagecount%>/<%=rs.PageCount%> 　 <a href="?page=1&amp;gjz_sous=<%=gjz_sous%>">首页</a>|
       <% if pagecount=1 and rs.pagecount<>pagecount and rs.pagecount<>0 then%>
       <a href="?page=<%=cstr(pagecount+1)%>&amp;gjz_sous=<%=gjz_sous%>">下一页</a>|
       <% end if %>
       <% if rs.pagecount>1 and rs.pagecount=pagecount then %>
       <a href="?page=<%=cstr(pagecount-1)%>&amp;gjz_sous=<%=gjz_sous%>">上一页</a>|
       <%end if%>
       <% if pagecount<>1 and rs.pagecount<>pagecount then%>
       <a href="?page=<%=cstr(pagecount-1)%>&amp;gjz_sous=<%=gjz_sous%>">上一页| </a><a href="?page=<%=cstr(pagecount+1)%>&amp;gjz_sous=<%=gjz_sous%>"> 下一页</a>|
       <% end if %>
       <a href="?page=<%=rs.PageCount%>&amp;gjz_sous=<%=gjz_sous%>">尾页</a>|转到第
       <select name="select" onchange="javascript:location=this.options[this.selectedIndex].value;">
         <%
       for i = 1 to rs.PageCount
       if i = pagecount then%>
         <option value="?page=<%=i%> selected="selected"><%=i%></option>
         <%else%>
         <option value="?page=<%=i%>"><%=i%></option>
         <%
          end if
        next
        %>
       </select>
页</td>
     <%else%>
    <%end if%>
    </tr>
   </table>
 <%end if
 set rs=nothing%>
 
 <%''按标题查询
	 gjz_sous=request("gjz_sous")
	 pd=request("pd")
	 if pd="标题" and gjz_sous<>"" then%>
     <TABLE width=98% height=112 border=0>
       <TBODY>
         <TR>
           <TD height=25 colSpan=2 align=left>&nbsp;</TD>
         </TR>
         <TR vAlign=center>
           <TD colspan="2" valign="top" bgcolor="#FFFFFF" class=alltable>
		   <form id="form1" name="form1" method="post" action="del_kscj_sh.asp"> 
		   <table width="98%" align="center" cellpadding="1" cellspacing="1" bgcolor="#FFFFFF" class=TEXTAREA style="border: #268dd2 1px solid;table-layout: fixed;">
        <tr bgcolor="#c5d2f4"> 
<td width="57%" height="25" align="center" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><div align="center"><strong>标 题</strong></div></td>
<td width="13%" align="center" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><strong>栏 目</strong></td>
<td width="6%" align="center" class="tableHeaderText" style1="STYLE1"><div align="center"><strong>修 改</strong></div></td>
<td width="6%" height="25" align="center" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><div align="center"><strong>审 核</strong></div></td>

<td width="11%" bgcolor="#c5d2f4" class=tableHeaderText STYLE1><input id=chkAll 
                  onClick=CheckAll(this.form) type=checkbox 
                  value=checkbox name=chkAll>  全选  
 
    <label>
      <input type="submit" name="Submit2" value="删 除" />
      </label></td>
        </tr>
          <% 

HZ_tp="select * from news_db  where title='"&gjz_sous&"' and sh='0' order by id desc" 
set rs=server.createobject("adodb.recordset") 
rs.open HZ_tp,conn,1,3 
classid=rs("classid")
sql2 = "SELECT * from xwclass where id="&classid&" order by id desc" 
Set rs2 = Server.CreateObject("ADODB.Recordset")
rs2.OPEN sql2,Conn,1,1
langmumc=rs2("classname")
lmid=rs2("id")
if rs.bof and rs.eof then 
response.write"暂时没有需审核信息!"
response.end
end if  
%>
                        <%
'分页代码--
if not isempty(request("page")) then   
pagecount=cint(request("page"))   
else   
pagecount=1
end if
rs.pagesize=20
rs.AbsolutePage=pagecount
'--分页代码
%>
                        <%a=1 
do while not rs.eof

%>
        <tr> 
          <td height="25" align="left" bgcolor="#e6eeef"><a href="../newsview.asp?id=<%=rs("id")%>" target="_blank" title="<%=rs("title")%>">&middot;<%=rs("title")%></a></td>
          <td align="center" bgcolor="#e6eeef"><%=langmumc%></td>
          <td align="center" bgcolor="#e6eeef"><a href="kscj_xg.asp?id=<%=rs("id")%>">修改</a></td>
          <td height="22" align="center" bgcolor="#e6eeef"><a href="kscj_sh.asp?id=<%=rs("id")%>">审核</a></td>
          <td bgcolor="#e6eeef"><input type="checkbox" name="adid" value="<%=rs("id")%>" onClick=Checked(form)></td>
        </tr>
			 <% '分页代码--
i=i+1                                                                     
if i>=rs.pagesize then exit do 
'--分页代码
%>
                        <%if a mod 20=0 then 
response.Write"<tr></tr>" 
end if 
rs.movenext 
a=a+1 
loop 
%>
 <% 

HZ_tp="select * from news_db where sh='0' order by id desc" 
set rs=server.createobject("adodb.recordset") 
rs.open HZ_tp,conn,1,3 
%>
</table>
</form>
<table width="99%" border="0" cellpadding="0" cellspacing="0" borderColorLight=#808080 borderColorDark=#ffffff>
   <tr>
     <%if rs.pagecount > 0 then%>
     <td align="right">当前页<%=pagecount%>/<%=rs.PageCount%> 　 <a href="?page=1&amp;gjz_sous=<%=gjz_sous%>&amp;pd=<%=pd%>">首页</a>|
       <% if pagecount=1 and rs.pagecount<>pagecount and rs.pagecount<>0 then%>
       <a href="?page=<%=cstr(pagecount+1)%>&amp;gjz_sous=<%=gjz_sous%>&amp;pd=<%=pd%>">下一页</a>|
       <% end if %>
       <% if rs.pagecount>1 and rs.pagecount=pagecount then %>
       <a href="?page=<%=cstr(pagecount-1)%>&amp;gjz_sous=<%=gjz_sous%>&amp;pd=<%=pd%>">上一页</a>|
       <%end if%>
       <% if pagecount<>1 and rs.pagecount<>pagecount then%>
       <a href="?page=<%=cstr(pagecount-1)%>&amp;gjz_sous=<%=gjz_sous%>&amp;pd=<%=pd%>">上一页| </a><a href="?page=<%=cstr(pagecount+1)%>&amp;gjz_sous=<%=gjz_sous%>&amp;pd=<%=pd%>"> 下一页</a>|
       <% end if %>
       <a href="?page=<%=rs.PageCount%>&amp;gjz_sous=<%=gjz_sous%>&amp;pd=<%=pd%>">尾页</a>|转到第
       <select name="select" onchange="javascript:location=this.options[this.selectedIndex].value;">
         <%
       for i = 1 to rs.PageCount
       if i = pagecount then%>
         <option value="?page=<%=i%>&amp;gjz_sous=<%=gjz_sous%>&pd=<%=pd%> selected="selected"><%=i%></option>
         <%else%>
         <option value="?page=<%=i%>&amp;gjz_sous=<%=gjz_sous%>&pd=<%=pd%>"><%=i%></option>
         <%
          end if
        next
        %>
       </select>
页</td>
     <%else%>
    <%end if%>
    </tr>
   </table>
 <%end if
 set rs=nothing%>
 <TBODY><TR vAlign=center><TD colspan="2" valign="top" bgcolor="#FFFFFF" class=alltable><TBODY><TR vAlign=center>
   <TD colspan="2" valign="top" bgcolor="#FFFFFF" class=alltable>
 
